PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package shuttle
  Definition Classes
    serverobject
- OrbitalShuttle
- OrbitalShuttlePad
- OrbitalShuttlePadControl
- ShuttleAmenity

c

net.psforever.objects.serverobject.shuttle

# OrbitalShuttle

###

#### class OrbitalShuttle extends Vehicle

The high altitude rapid transport (HART) orbital shuttle is a special vehicle that is paired with a formal building `Amenity` called the orbital shuttle pad (`obbasemesh`) and is only found in the HART buildings (`orbital_building_`{faction}) of a given faction's sanctuary zone.
It has no pilot and can not be piloted. Unlike other vehicles, it has the potential for a very sizeable passenger capacity. Despite this, it is intended to start with a single mount. That one mount should contain the information needed to create a given number of spontaneous passenger mount points. Whenever a valid user would try to find a mount, and there are no mounts available, and the total number of created mounts has not yet exceeded the limits set by the original mount's designation, then a completely new mount can be created and the user attached. All spontaneous mounts have the same properties as the original mount.

Source
  OrbitalShuttle.scala

Linear Supertypes
Vehicle, AuraContainer, Container, CommonNtuContainer, NtuContainer, TransferContainer, JammableUnit, StandardResistanceProfile, ResistanceProfile, OwnableByPlayer, Vitality, VitalsHistory, Deployment, Hackable, InteractsWithZoneEnvironment, MountableWeapons, Mountable, MountedWeapons, AmenityOwner, PlanetSideServerObject, ZoneAware, FactionAffinity, PlanetSideGameObject, WorldEntity, IdentifiableEntity, Identifiable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OrbitalShuttle
2. Vehicle
3. AuraContainer
4. Container
5. CommonNtuContainer
6. NtuContainer
7. TransferContainer
8. JammableUnit
9. StandardResistanceProfile
10. ResistanceProfile
11. OwnableByPlayer
12. Vitality
13. VitalsHistory
14. Deployment
15. Hackable
16. InteractsWithZoneEnvironment
17. MountableWeapons
18. Mountable
19. MountedWeapons
20. AmenityOwner
21. PlanetSideServerObject
22. ZoneAware
23. FactionAffinity
24. PlanetSideGameObject
25. WorldEntity
26. IdentifiableEntity
27. Identifiable
28. AnyRef
29. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new OrbitalShuttle(sdef: VehicleDefinition)

   sdef

     the vehicle's definition entry

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AccessingTrunk: Option[PlanetSideGUID]
   Definition Classes
     Vehicle
5.  def AccessingTrunk_=(guid: Option[PlanetSideGUID]): Option[PlanetSideGUID]

   Change which player has access to the trunk of this vehicle.

   Change which player has access to the trunk of this vehicle. A player may only gain access to the trunk if no one else has access to the trunk at the moment.

   guid

     the player who wishes to access the trunk

   returns

     the player who is currently allowed to access the trunk

   Definition Classes
     Vehicle
6.  def AccessingTrunk_=(guid: PlanetSideGUID): Option[PlanetSideGUID]
   Definition Classes
     Vehicle
7.  def Actor: ActorRef

   Retrieve a reference to the internal `Actor`.

   Retrieve a reference to the internal `Actor`.

   returns

     the internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
8.  def Actor_=(control: ActorRef): ActorRef

   Assign an `Actor` to act for this server object.

   Assign an `Actor` to act for this server object. This reference is only set once, that is, as long as the internal `ActorRef` directs to `ActorRef.noSender` (`null`).

   control

     the `Actor` whose functionality will govern this server object

   returns

     the current internal `ActorRef`

   Definition Classes
     PlanetSideServerObject
9.  def AddEffectToAura(effect: Aura): Set[Aura]
   Definition Classes
     AuraContainer
10.  def Amenities: List[Amenity]
    Definition Classes
      AmenityOwner
11.  def Amenities_=(obj: Amenity): List[Amenity]
    Definition Classes
      AmenityOwner
12.  def AssignOwnership(playerOpt: Option[Player]): OwnableByPlayer

    na

    na

    playerOpt

      na

    returns

      na

    Definition Classes
      OwnableByPlayer
13.  def AssignOwnership(player: Player): OwnableByPlayer

    na

    na

    player

      na

    returns

      na

    Definition Classes
      OwnableByPlayer
14.  def Aura: Set[Aura]
    Definition Classes
      AuraContainer
15.  def CanAccessTrunk(player: Player): Boolean

    Can this `player` access the contents of this `Vehicle`'s `Trunk` given its current access permissions?

    Can this `player` access the contents of this `Vehicle`'s `Trunk` given its current access permissions?

    player

      a player attempting to access this `Trunk`

    returns

      `true`, if the `player` is permitted access; `false`, otherwise

    Definition Classes
      Vehicle
16.  def CanDamage: Boolean
    Definition Classes
      Vitality
17.  def CanRepair: Boolean
    Definition Classes
      Vitality
18.  def Capacitor: Int
    Definition Classes
      Vehicle
19.  def Capacitor_=(value: Int): Int
    Definition Classes
      Vehicle
20.  def CargoHold(cargoNumber: Int): Option[Cargo]
    Definition Classes
      Vehicle
21.  def CargoHolds: Map[Int, Cargo]
    Definition Classes
      Vehicle
22.  def ClearHistory(): List[VitalsActivity]
    Definition Classes
      VitalsHistory
23.  def Cloaked: Boolean
    Definition Classes
      Vehicle
24.  def Cloaked_=(isCloaked: Boolean): Boolean
    Definition Classes
      Vehicle
25.  def Collisions(dest: Int, width: Int, height: Int): Try[List[InventoryItem]]

    Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
    Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`.

    Given a region of "searchable unit positions" considered as stowable, determine if any previously stowed items are contained within that region.
    Default usage, and recommended the continued inclusion of that use, is defined in terms of `Equipment` being stowed in a `GridInventory`. Where the `Equipment` object is defined by the dimensions `width` and `height`, starting a search at `index` will search all positions within a grid-like range of numbers. Under certain searching conditions, this range may be meaningless, such as is the case when searching individual positions that are normal `EquipmentSlot` objects. Regardless, the value collected indicates the potential of multiple objects being discovered and maintains a reference to the object itself and the slot position where the object is located. (As any object can be discovered within the range, that is important.)

    width

      the width of the searchable space

    height

      the height of the serachable space

    returns

      a list of objects that have been encountered within the searchable space

    Definition Classes
      Vehicle → Container
    See also

      `GridInventory.CheckCollisionsVar`

26.  def Continent: String
    Definition Classes
      ZoneAware
27.  def Continent_=(zoneId: String): String

    Give the entity a custom `Zone` identifier.

    Give the entity a custom `Zone` identifier.

    zoneId

      the custom identifier of the `Zone` object

    returns

      the identifier of the `Zone` object

    Definition Classes
      ZoneAware
28.  def ControlledWeapon(wepNumber: Int): Option[Equipment]
    Definition Classes
      MountableWeapons
29.  def DamageModel: DamageResistanceModel
    Definition Classes
      Vehicle → Vitality
30.  def Decal: Int
    Definition Classes
      Vehicle
31.  def Decal_=(logo: Int): Int
    Definition Classes
      Vehicle
32.  def DefaultHealth: Int
    Definition Classes
      Vitality
33.  def Definition: VehicleDefinition

    This is the definition entry that is used to store and unload pertinent information about the `Vehicle`.

    This is the definition entry that is used to store and unload pertinent information about the `Vehicle`.

    returns

      the vehicle's definition entry

    Definition Classes
      Vehicle → CommonNtuContainer → NtuContainer → Vitality → MountableWeapons → Mountable → MountedWeapons → PlanetSideGameObject
34.  def DeployTime: Int
    Definition Classes
      Vehicle → Deployment
35.  def DeploymentState: types.DriveState.Value
    Definition Classes
      Deployment
36.  def DeploymentState_=(to_deploy_state: types.DriveState.Value): types.DriveState.Value
    Definition Classes
      Deployment
37.  def Destroyed: Boolean
    Definition Classes
      PlanetSideGameObject
38.  def Destroyed_=(state: Boolean): Boolean
    Definition Classes
      PlanetSideGameObject
39.  def Entity: WorldEntity
    Definition Classes
      PlanetSideGameObject
40.  def Entity_=(newEntity: WorldEntity): Unit
    Definition Classes
      PlanetSideGameObject
41.  def Faction: types.PlanetSideEmpire.Value
    Definition Classes
      Vehicle → FactionAffinity
42.  def Faction_=(faction: types.PlanetSideEmpire.Value): types.PlanetSideEmpire.Value
    Definition Classes
      Vehicle → FactionAffinity
43.  def Find(guid: PlanetSideGUID): Option[Int]

    Given globally unique identifier, if the object using it is stowed, attempt to locate its slot.

    Given globally unique identifier, if the object using it is stowed, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

    guid

      the GUID of the `Equipment`

    returns

      the index of the `EquipmentSlot`, or `None`

    Definition Classes
      Vehicle → Container
44.  def Find(obj: Equipment): Option[Int]

    Given an object, attempt to locate its slot.

    Given an object, attempt to locate its slot. All positions, `VisibleSlot` and `Inventory`, and wherever else, should be searchable.

    obj

      the `Equipment` object

    returns

      the index of the `EquipmentSlot`, or `None`

    Definition Classes
      Container
45.  def Fit(tile: InventoryTile): Option[Int]
    Definition Classes
      Container
46.  def Fit(obj: Equipment): Option[Int]
    Definition Classes
      Container
47.  def Flying: Option[Int]
    Definition Classes
      Vehicle
48.  def Flying_=(isFlying: Option[Int]): Option[Int]
    Definition Classes
      Vehicle
49.  def Flying_=(isFlying: Int): Option[Int]
    Definition Classes
      Vehicle
50.  def GUID: PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
51.  def GUID_=(guid: PlanetSideGUID): PlanetSideGUID
    Definition Classes
      IdentifiableEntity → Identifiable
52.  def GUID_=(guid: StalePlanetSideGUID): PlanetSideGUID

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    Always intercept `StalePlanetSideGUID` references when attempting to mutate the GUID value.

    guid

      the valid GUID to assign

    returns

      never returns

    Definition Classes
      IdentifiableEntity
    Exceptions thrown

      ``AssigningGUIDException`` always

53.  def GetSeatFromMountPoint(mountPoint: Int): Option[Int]

    Either locate a place for a passenger to mount, or designate a spontaneous mount point to handle a new passenger.

    Either locate a place for a passenger to mount, or designate a spontaneous mount point to handle a new passenger. The only time there is no more space is when the no new spontaneous seats can be counted.

    mountPoint

      the mount point

    returns

      the mount index

    Definition Classes
      OrbitalShuttle → Mountable
54.  def HackDuration: Array[Int]
    Definition Classes
      Hackable
55.  def HackDuration_=(arr: Array[Int]): Array[Int]
    Definition Classes
      Hackable
56.  def HackEffectDuration: Array[Int]
    Definition Classes
      Hackable
57.  def HackEffectDuration_=(arr: Array[Int]): Array[Int]
    Definition Classes
      Hackable
58.  def HackSound: packet.game.TriggeredSound.Value
    Definition Classes
      Hackable
59.  def HackSound_=(sound: packet.game.TriggeredSound.Value): packet.game.TriggeredSound.Value
    Definition Classes
      Hackable
60.  def HackedBy: Option[HackInfo]
    Definition Classes
      Hackable
61.  def HackedBy_=(hackInfo: HackInfo): Option[HackInfo]
    Definition Classes
      Hackable
62.  def HackedBy_=(agent: Option[Player]): Option[HackInfo]

    Set the hack state of this object by recording important information about the player who caused it.

    Set the hack state of this object by recording important information about the player who caused it. Set the hack state if there is no current hack state. Override the hack state with a new hack state if the new user has different faction affiliation.

    agent

      a `Player`, or no player

    returns

      the player hack entry

    Definition Classes
      Hackable
63.  def HackedBy_=(agent: Player): Option[HackInfo]
    Definition Classes
      Hackable
64.  def HasGUID: Boolean

    Flag when the object has no GUID (initial condition) or is considered stale.

    Flag when the object has no GUID (initial condition) or is considered stale.

    returns

      whether the value of the GUID is a valid representation for this object

    Definition Classes
      IdentifiableEntity
65.  def Health: Int
    Definition Classes
      Vitality
66.  def Health_=(assignHealth: Int): Int
    Definition Classes
      Vehicle → Vitality
67.  def History(result: DamageResult): List[VitalsActivity]

    Very common example of a `VitalsActivity` event involving damage.

    Very common example of a `VitalsActivity` event involving damage.

    result

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
68.  def History(action: Option[VitalsActivity]): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
69.  def History(action: VitalsActivity): List[VitalsActivity]

    A `VitalsActivity` event must be recorded.

    A `VitalsActivity` event must be recorded. Add new entry to the front of the list (for recent activity).

    action

      the fully-informed entry

    returns

      the list of previous changes to this object's vital statistics

    Definition Classes
      VitalsHistory
70.  def History: List[VitalsActivity]
    Definition Classes
      VitalsHistory
71.  def Invalidate(): Unit

    Indicate that the current GUID is no longer a valid representation of the object.

    Indicate that the current GUID is no longer a valid representation of the object. Transforms whatever the current GUID is into a `StalePlanetSideGUID` entity with the same value. Doing this restores the object to its default mutation option ("the ability to set a new valid GUID"). The current GUID will still be accessed as if it were valid, but it will be wrapped in the new stale object.

    Definition Classes
      IdentifiableEntity
72.  def Inventory: GridInventory

    A(n imperfect) reference to a generalized pool of the contained objects.

    A(n imperfect) reference to a generalized pool of the contained objects. Having access to all of the available positions is not required. The entries in this reference should definitely include all unseen positions. The `GridInventory` returned by this accessor is also an implementation of `Container`.

    Definition Classes
      Vehicle → Container
    See also

      `VisibleSlots`

73.  def JackingDuration: Array[Int]

    How long it takes to jack the vehicle in seconds, based on the hacker's certification level

    How long it takes to jack the vehicle in seconds, based on the hacker's certification level

    Definition Classes
      Vehicle
74.  def Jammed: Boolean
    Definition Classes
      JammableUnit
75.  def Jammed_=(state: Boolean): Boolean
    Definition Classes
      JammableUnit
76.  def Jammered: Boolean
    Definition Classes
      Vehicle
77.  def Jammered_=(jamState: Boolean): Boolean
    Definition Classes
      Vehicle
78.  def LastDamage: Option[DamageResult]
    Definition Classes
      VitalsHistory
79.  def LastShot: Option[DamageResult]

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    Find, specifically, the last instance of a weapon discharge vital statistics change.

    returns

      information about the discharge

    Definition Classes
      VitalsHistory
80.  def LoadDefinition(): Unit

    Override this method to perform any special setup that is not standardized to `*Definition`.

    Override this method to perform any special setup that is not standardized to `*Definition`.

    Attributes
      protected
    Definition Classes
      Vehicle
    See also

      `Vehicle.LoadDefinition`

81.  def MaxHealth: Int
    Definition Classes
      Vitality
82.  def MaxHealth_=(default: Option[Int]): Int
    Definition Classes
      Vitality
83.  def MaxHealth_=(default: Int): Int
    Definition Classes
      Vitality
84.  def MaxShields: Int
    Definition Classes
      Vehicle
85.  def MountPoints: Map[Int, MountInfo]

    Retrieve a mapping of each mount from its mount point index.

    Retrieve a mapping of each mount from its mount point index.

    returns

      the mapping of mount point to mount

    Definition Classes
      Mountable
86.  def MountedIn: Option[PlanetSideGUID]
    Definition Classes
      Vehicle
87.  def MountedIn_=(cargo_vehicle_guid: Option[PlanetSideGUID]): Option[PlanetSideGUID]
    Definition Classes
      Vehicle
88.  def MountedIn_=(cargo_vehicle_guid: PlanetSideGUID): Option[PlanetSideGUID]
    Definition Classes
      Vehicle
89.  def NtuCapacitor: Float
    Definition Classes
      CommonNtuContainer → NtuContainer
90.  def NtuCapacitorScaled: Int
    Definition Classes
      Vehicle
91.  def NtuCapacitor_=(value: Float): Float
    Definition Classes
      CommonNtuContainer → NtuContainer
92.  def Orientation: Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
93.  def Orientation_=(vec: Vector3): Vector3
    Definition Classes
      PlanetSideGameObject → WorldEntity
94.  def Owner: Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
95.  def OwnerName: Option[String]
    Definition Classes
      OwnableByPlayer
96.  def OwnerName_=(owner: Option[String]): Option[String]
    Definition Classes
      OwnableByPlayer
97.  def OwnerName_=(owner: Player): Option[String]
    Definition Classes
      OwnableByPlayer
98.  def OwnerName_=(owner: String): Option[String]
    Definition Classes
      OwnableByPlayer
99.  def Owner_=(owner: Option[PlanetSideGUID]): Option[PlanetSideGUID]
    Definition Classes
      OwnableByPlayer
100.  def Owner_=(owner: Player): Option[PlanetSideGUID]
     Definition Classes
       OwnableByPlayer
101.  def Owner_=(owner: PlanetSideGUID): Option[PlanetSideGUID]
     Definition Classes
       OwnableByPlayer
102.  def PassengerInSeat(user: Player): Option[Int]

     Given a player, determine if that player is seated.

     Given a player, determine if that player is seated.

     user

       the player

     returns

       the mount index

     Definition Classes
       Mountable
103.  def PermissionGroup(group: Int, level: Long): Option[vehicles.VehicleLockState.Value]

     Change the access permissions for a position on this vehicle, seats or trunk.

     Change the access permissions for a position on this vehicle, seats or trunk.

     group

       the group index

     level

       the new permission for this group

     returns

       the new access permission for this group; `None`, if the group does not exist or the level of permission was not changed

     Definition Classes
       Vehicle
104.  def PermissionGroup(group: Int): Option[vehicles.VehicleLockState.Value]

     What are the access permissions for a position on this vehicle, seats or trunk?

     What are the access permissions for a position on this vehicle, seats or trunk?

     group

       the group index

     returns

       what sort of access permission exist for this group

     Definition Classes
       Vehicle
105.  def Position: Vector3
     Definition Classes
       PlanetSideGameObject → WorldEntity
106.  def Position_=(vec: Vector3): Vector3
     Definition Classes
       PlanetSideGameObject → WorldEntity
107.  def PrepareGatingManifest(): VehicleManifest
     Definition Classes
       Vehicle
108.  def PreviousGatingManifest(): Option[VehicleManifest]
     Definition Classes
       Vehicle
109.  def PublishGatingManifest(): Option[VehicleManifest]
     Definition Classes
       Vehicle
110.  def RadiationShielding: Float
     Definition Classes
       StandardResistanceProfile → ResistanceProfile
111.  def RemoveEffectFromAura(effect: Aura): Set[Aura]
     Definition Classes
       AuraContainer
112.  def ResetControl(): ActorRef
     Definition Classes
       PlanetSideServerObject
113.  def Resist(dtype: vital.base.DamageType.Value): Float
     Definition Classes
       ResistanceProfile
114.  def ResistanceAggravated: Int
     Definition Classes
       StandardResistanceProfile → ResistanceProfile
115.  def ResistanceDirectHit: Int
     Definition Classes
       StandardResistanceProfile → ResistanceProfile
116.  def ResistanceSplash: Int
     Definition Classes
       StandardResistanceProfile → ResistanceProfile
117.  def Seat(seatNumber: Int): Option[Seat]

     Either locate a place for a passenger to mount, or create a spontaneous mount point to handle the new passenger.

     Either locate a place for a passenger to mount, or create a spontaneous mount point to handle the new passenger. The only time there is no more space is when the no new spontaneous seats can be created. This new seat becomes "real" and will continue to exist after being dismounted.

     seatNumber

       the index of a mount point

     returns

       the specific mount

     Definition Classes
       OrbitalShuttle → Mountable
118.  def SeatPermissionGroup(seatNumber: Int): Option[vehicles.AccessPermissionGroup.Value]

     All players mounted in the shuttle are passengers only.

     All players mounted in the shuttle are passengers only. No driver. No gunners. Even if it does not exist yet, as long as it has the potential to be created, discuss the next seat that would be created as if it already exists.

     seatNumber

       the index of a mount point

     returns

       `Passenger` permissions

     Definition Classes
       OrbitalShuttle → Vehicle
119.  def Seats: Map[Int, Seat]

     Retrieve a mapping of each mount from its internal index.

     Retrieve a mapping of each mount from its internal index.

     returns

       the mapping of index to mount

     Definition Classes
       Mountable
120.  def Shields: Int
     Definition Classes
       Vehicle
121.  def Shields_=(strength: Int): Int
     Definition Classes
       Vehicle
122.  def Slot(slotNum: Int): EquipmentSlot

     Access to all stowable positions on this object by index.
     All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable.

     Access to all stowable positions on this object by index.
     All positions, `VisibleSlot` and `Inventory`, and wherever else, should be reachable. Regardless of the internal storage medium, the format of return is expected to be the same structure of object as the most basic storage component for `Equipment`, namely, `EquipmentSlot` objects. By default, it is expected to return an `EquipmentSlot` that can not be manipulated because it is `Blocked`.

     slotNum

       an index

     returns

       the searchable position identified by that index

     Definition Classes
       Vehicle → Container
     See also

       `OffhandEquipmentSlot`

123.  def Subtract: DamageProfile
     Definition Classes
       StandardResistanceProfile → ResistanceProfile
124.  def Trunk: GridInventory

     A reference to the `Vehicle` `Trunk` space.

     A reference to the `Vehicle` `Trunk` space.

     returns

       this `Vehicle` `Trunk`

     Definition Classes
       Vehicle
125.  def TrunkLocation: Vector3

     Trunk locations are stored as the orientation zero point being to the East.

     Trunk locations are stored as the orientation zero point being to the East. We need to convert that to a North = 0 orientation before returning the location

     returns

       A Vector3 of the current trunk location, orientated with North as the zero point

     Definition Classes
       Vehicle
126.  def TrunkLockState: vehicles.VehicleLockState.Value

     Check access to the `Trunk`.

     Check access to the `Trunk`.

     returns

       the current access value for the `Vehicle` `Trunk`

     Definition Classes
       Vehicle
127.  def UndeployTime: Int
     Definition Classes
       Vehicle → Deployment
128.  def Utilities: Map[Int, Utility]
     Definition Classes
       Vehicle
129.  def Utility(utilType: vehicles.UtilityType.Value): Option[PlanetSideServerObject]
     Definition Classes
       Vehicle
130.  def Utility(utilNumber: Int): Option[PlanetSideServerObject]

     Get a reference to a certain `Utility` attached to this `Vehicle`.

     Get a reference to a certain `Utility` attached to this `Vehicle`.

     utilNumber

       the attachment number of the `Utility`

     returns

       the `Utility` or `None` (if invalid)

     Definition Classes
       Vehicle
131.  def Velocity: Option[Vector3]
     Definition Classes
       PlanetSideGameObject → WorldEntity
132.  def Velocity_=(vec: Option[Vector3]): Option[Vector3]
     Definition Classes
       PlanetSideGameObject → WorldEntity
133.  def Velocity_=(vec: Vector3): Option[Vector3]
     Definition Classes
       WorldEntity
134.  def VisibleSlots: Set[Int]

     A(n imperfect) reference to a generalized pool of the contained objects.
     Having access to all of the available positions is not required.

     A(n imperfect) reference to a generalized pool of the contained objects.
     Having access to all of the available positions is not required. Only the positions that can be actively viewed by other clients are listed.

     returns

       all of the affected slot indices

     Definition Classes
       Vehicle → Container
     See also

       `Inventory`

135.  def WeaponControlledFromSeat(seatNumber: Int): Option[Equipment]

     Given a valid mount number, retrieve an index where the weapon controlled from this mount is mounted.

     Given a valid mount number, retrieve an index where the weapon controlled from this mount is mounted.

     seatNumber

       the mount number

     returns

       a mounted weapon by index, or `None` if either the mount doesn't exist or there is no controlled weapon

     Definition Classes
       MountableWeapons
136.  def Weapons: Map[Int, EquipmentSlot]
     Definition Classes
       MountedWeapons
137.  def Zone: Zone
     Definition Classes
       ZoneAware
138.  def Zone_=(zone: Zone): Zone

     When assigning a new `Zone` object for the `Vehicle` object, eliminate

     When assigning a new `Zone` object for the `Vehicle` object, eliminate

     zone

       a reference to the `Zone` object

     returns

       a reference to the `Zone` object

     Definition Classes
       ZoneAware
139.  def allowZoneEnvironmentInteractions: Boolean

     If the environmental interactive permissions of this entity change.

     If the environmental interactive permissions of this entity change.

     Definition Classes
       InteractsWithZoneEnvironment
140.  def allowZoneEnvironmentInteractions_=(allow: Boolean): Boolean

     If the environmental interactive permissions of this entity change, trigger a formal change to the interaction methodology.

     If the environmental interactive permissions of this entity change, trigger a formal change to the interaction methodology.

     allow

       whether or not interaction is permitted

     returns

       whether or not interaction is permitted

     Definition Classes
       InteractsWithZoneEnvironment
141.  final def asInstanceOf[T0]: T0
     Definition Classes
       Any
142.  def canEqual(other: Any): Boolean
     Definition Classes
       Vehicle
143.  def clone(): AnyRef
     Attributes
       protected[lang]
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.CloneNotSupportedException]) @native()
144.  def controlledWeapon(wepNumber: Int): Option[Equipment]
     Definition Classes
       MountableWeapons
145.  final def eq(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
146.  def equals(other: Any): Boolean
     Definition Classes
       Vehicle → AnyRef → Any
147.  def finalize(): Unit
     Attributes
       protected[lang]
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.Throwable])
148.  final def getClass(): Class[_ <: AnyRef]
     Definition Classes
       AnyRef → Any
     Annotations
       @native()
149.  def hashCode(): Int
     Definition Classes
       Vehicle → AnyRef → Any
150.  def isFlying: Boolean
     Definition Classes
       Vehicle
151.  final def isInstanceOf[T0]: Boolean
     Definition Classes
       Any
152.  def isMoving(test: Float): Boolean

     This object is not considered moving unless it is moving at least as fast as a certain velocity.

     This object is not considered moving unless it is moving at least as fast as a certain velocity.

     test

       the (squared) velocity to test against

     returns

       `true`, if we are moving; `false`, otherwise

     Definition Classes
       WorldEntity
153.  def isMoving(test: Vector3): Boolean

     This object is not considered moving unless it is moving at least as fast as a certain velocity.

     This object is not considered moving unless it is moving at least as fast as a certain velocity.

     test

       the velocity to test against

     returns

       `true`, if we are moving; `false`, otherwise

     Definition Classes
       WorldEntity
154.  def isMoving: Boolean

     A velocity of non-zero is the same as moving.

     A velocity of non-zero is the same as moving.

     returns

       `true`, if we are moving; `false`, otherwise

     Definition Classes
       WorldEntity
155.  final def ne(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
156.  final def notify(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
157.  final def notifyAll(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
158.  def resetZoneInteraction(): Unit

     Suspend any current interaction procedures through the proper channels or deactivate a previously flagged interaction blocking procedure and reset the system to its neutral state.

     Suspend any current interaction procedures through the proper channels or deactivate a previously flagged interaction blocking procedure and reset the system to its neutral state. The main difference between resetting and flagging the blocking procedure is that resetting will (probably) restore the previously active procedure on the next `zoneInteraction` call while blocking will halt all attempts to establish a new active interaction procedure and unblocking will immediately install whatever is the current active interaction.

     Definition Classes
       InteractsWithZoneEnvironment
     See also

       `InteractsWithZoneEnvironment.onStableEnvironment`

159.  val seats: Map[Int, Seat]
     Attributes
       protected
     Definition Classes
       Mountable
160.  final def synchronized[T0](arg0: => T0): T0
     Definition Classes
       AnyRef
161.  def toString(): String

     Override the string representation to provide additional information.

     Override the string representation to provide additional information.

     returns

       the string output

     Definition Classes
       Vehicle → AnyRef → Any
162.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
163.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
164.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()
165.  val weapons: Map[Int, EquipmentSlot]
     Attributes
       protected
     Definition Classes
       MountedWeapons
166.  def zoneInteraction(): Unit

     The method by which zone interactions are tested or a current interaction maintained.

     The method by which zone interactions are tested or a current interaction maintained. Utilize a function literal that, when called, returns a function literal of the same type; the function that is returned will not necessarily be the same as the one that was used but will represent the existing and ongoing status of interaction with the environment. Calling one function and exchanging it for another function to be called like this creates a procedure that controls and limits the interactions with the environment to only what is necessary.

     Definition Classes
       InteractsWithZoneEnvironment
     See also

       `InteractsWithZoneEnvironment.blockedFromInteracting`

       `InteractsWithZoneEnvironment.onStableEnvironment`

       `InteractsWithZoneEnvironment.awaitOngoingInteraction`

### Inherited from Vehicle

### Inherited from AuraContainer

### Inherited from Container

### Inherited from CommonNtuContainer

### Inherited from NtuContainer

### Inherited from TransferContainer

### Inherited from JammableUnit

### Inherited from StandardResistanceProfile

### Inherited from ResistanceProfile

### Inherited from OwnableByPlayer

### Inherited from Vitality

### Inherited from VitalsHistory

### Inherited from Deployment

### Inherited from Hackable

### Inherited from InteractsWithZoneEnvironment

### Inherited from MountableWeapons

### Inherited from Mountable

### Inherited from MountedWeapons

### Inherited from AmenityOwner

### Inherited from PlanetSideServerObject

### Inherited from ZoneAware

### Inherited from FactionAffinity

### Inherited from PlanetSideGameObject

### Inherited from WorldEntity

### Inherited from IdentifiableEntity

### Inherited from Identifiable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped